comedi_digital_trigger_enable_levels
Prev | 5.4.6. Extensions | Next

## Name

comedi_digital_trigger_enable_levels — set digital trigger level detection

## Synopsis

    #include <comedilib.h>

`int comedi_digital_trigger_enable_levels(` | comedi_t * device,
| unsigned int subdevice,
| unsigned int trigger_id,
| unsigned int base_input,
| unsigned int high_level_inputs,
| unsigned int low_level_inputs`)`;

## Status

alpha

## Description

This function enables level detection for a digital trigger on a subdevice. If the subdevice supports several digital triggers, the ``trigger_id`` selects one. The ``high_level_inputs`` and ``low_level_inputs`` parameters are bit fields that enable (1) or disable (0) high and low level detection on a set of (up to) 32 inputs. The least-significant bit corresponds to the input specified by the ``base_input`` parameter, with subsequent bits corresponding to subsequent inputs.

Successive calls to this function have an cumulative effect, which allows digital triggers to be set up for more than 32 inputs. There may also be a cumulative effect with calls to `comedi_digital_trigger_enable_edges` if the digital trigger supports a combination of edge and level triggering. Due to the cumulative effect, it may be necessary to call `comedi_digital_trigger_disable` to clear the old settings before reconfiguring the digital trigger inputs.

A digital trigger may support edge detection, level detection, both at different times, or both at the same time. If it supports both but not at the same time, configuring level triggers will disable any previous edge triggers, or vice versa.

This function is only useable on subdevices that provide support for the `INSN_CONFIG_DIGITAL_TRIG` configuration instruction, and only if the digital trigger supports level detection.

## Return value

`0` on success, `-1` on error.

Prev | Up | Next
comedi_digital_trigger_enable_edges | Home | comedi_disarm